Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class MainParamsParser

    java.lang.Object
      com.ejie.r01f.util.MainParamsParser

public class MainParamsParser
extends java.lang.Object

Parsea los parametros de un método main

Field Summary
`static int` | `PARAM_TYPE_ALFANUMERIC`
`static int` | `PARAM_TYPE_BOOLEAN`
`static int` | `PARAM_TYPE_GENERAL`
`static int` | `PARAM_TYPE_NUMERIC`

Constructor Summary
`MainParamsParser()` Constructor vacío

Method Summary
`void` | `addParamDef(java.lang.String name, java.lang.String description, int type, boolean mandatory)` Añade la definición de un parametro
`boolean` | `areValid()` Comprueba si los parametros son válidos una vez que se han parseado y obtenido sus valores previa llamada a parseParams
`java.lang.String` | `getParam(java.lang.String name)` Obtiene el valor de un parametro
`java.lang.String` | `getParamsUsageMessage()` Devuelve un mensaje de utilización de los parametros
`static void` | `main(java.lang.String[] args)` Test para probar el temilla...
`java.util.Map` | `parseParams(java.lang.String[] args)` Parsea los parametros de entrada a un método Main
`void` | `removeParamDef(java.lang.String name)` Elimina un parametro de la colección
`java.lang.String` | `toString()` Devuelve una reprentación en formato cadena de los parametros

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAM_TYPE_GENERAL

    public static int PARAM_TYPE_GENERAL

### PARAM_TYPE_ALFANUMERIC

    public static int PARAM_TYPE_ALFANUMERIC

### PARAM_TYPE_NUMERIC

    public static int PARAM_TYPE_NUMERIC

### PARAM_TYPE_BOOLEAN

    public static int PARAM_TYPE_BOOLEAN

Constructor Detail

### MainParamsParser

    public MainParamsParser()

  Constructor vacío

Method Detail

### addParamDef

    public void addParamDef(java.lang.String name,
                            java.lang.String description,
                            int type,
                            boolean mandatory)

  Añade la definición de un parametro

  Parameters:
    `name` - El nombre del parámetro
    `description` - La descripción del parámetro
    `mandatory` - Si el parámetro es obligatorio o no

### removeParamDef

    public void removeParamDef(java.lang.String name)

  Elimina un parametro de la colección

  Parameters:
    `name` - El nombre del parametro

### getParam

    public java.lang.String getParam(java.lang.String name)

  Obtiene el valor de un parametro

  Parameters:
    `name` - El nombre del parametro
  Returns:
    El valor del parametro

### parseParams

    public java.util.Map parseParams(java.lang.String[] args)
                              throws java.lang.IllegalArgumentException

  Parsea los parametros de entrada a un método Main

  Parameters:
    `args` - Los valores de los parametros
  Returns:
    Un array con los parametros de entrada o null si no hay parametros de entrada
  Throws:
    `java.lang.IllegalArgumentException`

### areValid

    public boolean areValid()

  Comprueba si los parametros son válidos una vez que se han parseado y obtenido sus valores previa llamada a parseParams

  Returns:
    true si los parámetros son válidos o nulos y false si no lo son

### getParamsUsageMessage

    public java.lang.String getParamsUsageMessage()

  Devuelve un mensaje de utilización de los parametros

  Returns:

### toString

    public java.lang.String toString()

  Devuelve una reprentación en formato cadena de los parametros

  Returns:
    Una cadena con los parametros

### main

    public static void main(java.lang.String[] args)

  Test para probar el temilla...

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD